Bug 19485 - "host" utility shows incorrect results when searching multiple domains
Summary: "host" utility shows incorrect results when searching multiple domains
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-20 19:25 UTC by Thomas J Pinkl
Modified: 2007-04-18 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-15 21:01:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas J Pinkl 2000-10-20 19:25:49 UTC
Red Hat 7.0 system, configured as a slave nameserver for 3 domains.  Those
three domains 
are listed in the 'search' directive within /etc/resolv.conf:

	search abc.com xyz.com foo.net

The 'host' utility in bind-utils-8.2.2_P5-25 doesn't work properly for
lookups within the 
second and third domains.  Typing "host server-name", where "server-name"
exists 
in the second or third zone, will not display the address of the host.  But
it will display 
other zone info, such as "mail is handled (pri-nn) by".

If you type "host -v server-name" then the A record DOES appear in the
output.

If you change the order of the domains in the resolv.conf 'search'
directive such that 
"server-name"'s domain is listed first, then "host server-name" displays
the expected 
result:

	server-name.xyz.com has address 192.168.1.38


I have a Red Hat 6.1 server that is also a slave nameserver for the same
three domains.
It is configured the same as the 7.0 server as far as named is concerned. 
/etc/resolv.conf 
and /etc/named.conf are identical.  

On the 6.1 server, 'host' is from bind-utils-8.2.2_P3-1.  This version
works as expected.

Comment 1 Nalin Dahyabhai 2000-10-24 19:15:38 UTC
The host command is in the bind-utils package.  Reassigning to the "bind"
component.

Comment 2 Thomas J Pinkl 2000-11-15 20:58:53 UTC
The bind-8.2.2_P7-0.6.2 package was released for Red Hat 6.x to fix a DoS attack 
(see RHSA-2000:107-01).  

This updated package introduces this same bug into Red Hat 6.x - the resolver
search 
list is broken.

Comment 3 Bernhard Rosenkraenzer 2001-06-01 14:49:35 UTC
Fixed in 7.1



Note You need to log in before you can comment on or make changes to this bug.